### Class

# PangoXft Renderer

since: 1.8

#### Description [src]

    class PangoXft.Renderer : Pango.Renderer
    {
      /* No available fields */
    }

`PangoXftRenderer` is a subclass of `PangoRenderer` used for rendering with Pango’s Xft backend. It can be used directly, or it can be further subclassed to modify exactly how drawing of individual elements occurs.

Available since: 1.8

#### Ancestors

- PangoRenderer
- GObject

#### Constructors

###### pango_xft_renderer_new

Create a new `PangoXftRenderer` to allow rendering Pango objects with the Xft library.

since: 1.8

#### Instance methods

###### pango_xft_renderer_set_default_color

Sets the default foreground color for a XftRenderer.

since: 1.8

###### pango_xft_renderer_set_draw

Sets the XftDraw object that the renderer is drawing to. The renderer must not be currently active.

since: 1.8

##### Methods inherited from PangoRenderer (19)

###### pango_renderer_activate

Does initial setup before rendering operations on `renderer`.

###### pango_renderer_deactivate

Cleans up after rendering operations on `renderer`.

###### pango_renderer_draw_error_underline

Draw a squiggly line that approximately covers the given rectangle in the style of an underline used to indicate a spelling error.

###### pango_renderer_draw_glyph

Draws a single glyph with coordinates in device space.

###### pango_renderer_draw_glyph_item

Draws the glyphs in `glyph_item` with the specified `PangoRenderer`, embedding the text associated with the glyphs in the output if the output format supports it.

###### pango_renderer_draw_glyphs

Draws the glyphs in `glyphs` with the specified `PangoRenderer`.

###### pango_renderer_draw_layout

Draws `layout` with the specified `PangoRenderer`.

###### pango_renderer_draw_layout_line

Draws `line` with the specified `PangoRenderer`.

###### pango_renderer_draw_rectangle

Draws an axis-aligned rectangle in user space coordinates with the specified `PangoRenderer`.

###### pango_renderer_draw_trapezoid

Draws a trapezoid with the parallel sides aligned with the X axis using the given `PangoRenderer`; coordinates are in device space.

###### pango_renderer_get_alpha

Gets the current alpha for the specified part.

###### pango_renderer_get_color

Gets the current rendering color for the specified part.

###### pango_renderer_get_layout

Gets the layout currently being rendered using `renderer`.

###### pango_renderer_get_layout_line

Gets the layout line currently being rendered using `renderer`.

###### pango_renderer_get_matrix

Gets the transformation matrix that will be applied when rendering.

###### pango_renderer_part_changed

Informs Pango that the way that the rendering is done for `part` has changed.

###### pango_renderer_set_alpha

Sets the alpha for part of the rendering.

###### pango_renderer_set_color

Sets the color for part of the rendering.

###### pango_renderer_set_matrix

Sets the transformation matrix that will be applied when rendering.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PangoXft.Renderer:display

No description available.

###### PangoXft.Renderer:screen

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PangoXftRendererClass {
      void (* composite_trapezoids) (
        PangoXftRenderer* xftrenderer,
        PangoRenderPart part,
        XTrapezoid* trapezoids,
        int n_trapezoids
      );
      void (* composite_glyphs) (
        PangoXftRenderer* xftrenderer,
        XftFont* xft_font,
        XftGlyphSpec* glyphs,
        int n_glyphs
      );

    }

The class structure for `PangoXftRenderer`.

###### Class members

`composite_trapezoids: void (* composite_trapezoids) ( PangoXftRenderer* xftrenderer, PangoRenderPart part, XTrapezoid* trapezoids, int n_trapezoids )`

  Draw the specified trapezoids using the current color and other attributes for `part`.

`composite_glyphs: void (* composite_glyphs) ( PangoXftRenderer* xftrenderer, XftFont* xft_font, XftGlyphSpec* glyphs, int n_glyphs )`

  Draw the specified glyphs using the current foreground color and other foreground attributes.

#### Virtual methods

###### PangoXft.RendererClass.composite_glyphs

Draw the specified glyphs using the current foreground color and other foreground attributes.

###### PangoXft.RendererClass.composite_trapezoids

Draw the specified trapezoids using the current color and other attributes for `part`.